com.holonplatform.vaadin.flow.components.builders

## Interface StringAreaInputBuilder

- All Superinterfaces:
    ComponentConfigurator<StringAreaInputBuilder>, CompositionNotifierConfigurator<StringAreaInputBuilder>, DeferrableLocalizationConfigurator<StringAreaInputBuilder>, FocusableConfigurator<com.vaadin.flow.component.Component,StringAreaInputBuilder>, HasAutocapitalizeConfigurator<StringAreaInputBuilder>, HasAutocompleteConfigurator<StringAreaInputBuilder>, HasAutocorrectConfigurator<StringAreaInputBuilder>, HasAutofocusConfigurator<StringAreaInputBuilder>, HasDeferrableLocalization, HasElementConfigurator<StringAreaInputBuilder>, HasEnabledConfigurator<StringAreaInputBuilder>, HasLabelConfigurator<StringAreaInputBuilder>, HasPlaceholderConfigurator<StringAreaInputBuilder>, HasPrefixAndSuffixConfigurator<StringAreaInputBuilder>, HasSizeConfigurator<StringAreaInputBuilder>, HasStyleConfigurator<StringAreaInputBuilder>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextAreaVariant,StringAreaInputBuilder>, HasValueChangeModeConfigurator<StringAreaInputBuilder>, InputBuilder<String,ValueHolder.ValueChangeEvent<String>,Input<String>,ValidatableInput<String>,StringAreaInputBuilder,ValidatableStringAreaInputBuilder>, InputConfigurator<String,ValueHolder.ValueChangeEvent<String>,StringAreaInputBuilder>, InputNotifierConfigurator<StringAreaInputBuilder>, InputValueConfigurator<String,ValueHolder.ValueChangeEvent<String>,StringAreaInputBuilder>, KeyNotifierConfigurator<StringAreaInputBuilder>, StringAreaInputConfigurator<StringAreaInputBuilder>, TextInputConfigurator<StringAreaInputBuilder>

      public interface StringAreaInputBuilder
      extends StringAreaInputConfigurator<StringAreaInputBuilder>, InputBuilder<String,ValueHolder.ValueChangeEvent<String>,Input<String>,ValidatableInput<String>,StringAreaInputBuilder,ValidatableStringAreaInputBuilder>

  Builder to create `String` type `Input` components rendered as a text area.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringAreaInputBuilder` | `create()` Get a new `StringAreaInputBuilder` to create a `String` type `Input`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.TextInputConfigurator

      `autoselect, autoselect, blankValuesAsNull, clearButtonVisible, emptyValuesAsNull, maxLength, minLength`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocapitalizeConfigurator

      `autocapitalize`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocorrectConfigurator

      `autocorrect`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

- - ### Method Detail

    - #### create

          static StringAreaInputBuilder create()

      Get a new `StringAreaInputBuilder` to create a `String` type `Input`.
      Returns:
        A new `StringAreaInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.